Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.driver
Interface MarkerAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface MarkerAdaptor
extends Adaptor

Provides access to Markers in the datasource.

Field Summary
`static java.lang.String` | `TYPE` Name of the default MarkerAdaptor available from a driver.

Method Summary
`void` | `delete(long internalID)` Deletes the marker with the specified internalID.
`void` | `delete(Marker marker)` Deletes the marker.
`Marker` | `fetch(long internalID)` Location type set to CloneFragmentLocation.
`Marker` | `fetch(MarkerFeature markerFeature)` Fetch Marker corresponding to markerFeature
`Marker` | `fetchBySynonym(java.lang.String synonym)`
`void` | `fetchComplete(Marker marker)` Loads MarkerFeatures into the marker.
`long` | `store(Marker marker)` Store the marker in the data source.

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

  Name of the default MarkerAdaptor available from a driver.

  See Also:
    Constant Field Values

Method Detail

### fetch

    public Marker fetch(long internalID)
                 throws AdaptorException

  Location type set to CloneFragmentLocation.

  Returns:
    marker if present, otherwise null.
  Throws:
    `AdaptorException`

### fetchBySynonym

    public Marker fetchBySynonym(java.lang.String synonym)
                          throws AdaptorException

  Returns:
    marker if present, otherwise null.
  Throws:
    `AdaptorException`

### store

    public long store(Marker marker)
               throws AdaptorException

  Store the marker in the data source.

  Throws:
    `AdaptorException`

### delete

    public void delete(Marker marker)
                throws AdaptorException

  Deletes the marker.

  Throws:
    `AdaptorException`

### delete

    public void delete(long internalID)
                throws AdaptorException

  Deletes the marker with the specified internalID.

  Throws:
    `AdaptorException`

### fetchComplete

    public void fetchComplete(Marker marker)
                       throws AdaptorException

  Loads MarkerFeatures into the marker.

  Parameters:
    `marker` - to be loaded with MarkerFeatures
  Throws:
    `AdaptorException`

### fetch

    public Marker fetch(MarkerFeature markerFeature)
                 throws AdaptorException

  Fetch Marker corresponding to markerFeature

  Parameters:
    `markerFeature` - markerFeature corresponding to a marker
  Returns:
    Marker corresponding to markerFeature, or null if non found
  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD